# Upload Video Creative

> **⚠️ Deprecated** — Use `POST /v3.0/creatives` (Create a new video creative - V3)
and supply the `fileName` field to receive a pre-signed S3 upload URL.

Upload Video Creative

Endpoint: POST /video/v2.0/creatives/{video_id}/upload
Version: v1.0

## Path parameters:

  - `video_id` (integer, required)
    Video ID

## Query parameters:

  - `fileName` (string)
    File name for the upload

## Request fields (multipart/form-data):

  - `file` (string)
    The video file to upload

## Response 200:

  - `200` (unknown)
    File uploaded successfully

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `field_error` (array)

  - `field_error.error` (string)

  - `field_error.index` (integer)
    Index in bulk request (for bulk operations)

  - `field_error.code` (string)

  - `field_error.name` (string)

  - `field_error.field` (string)

## Response 404:

  - `404` (unknown)
    Creative not found

